function [ matrix ] = func_embedding( data, L )


% This function is the time-delay embedding step.It maps the one-dimensional data onto a multidimensional trajectory matrix X using a sliding window.
%   data  one-dimensional EEG data
%   L  window length
%   step  time delay,in,this study, step = 1

step = 1;

N = length(data);

for i = 1:N-(L-1)*step
    matrix(:,i) = data(i:step:i+(L-1)*step);
end


end

